From 5b694a8ec300fb25156f234b9bd4625aa6beb6f7 Mon Sep 17 00:00:00 2001
From: Guennadi Liakhovetski <g.liakhovetski@gmx.de>
Date: Wed, 28 Dec 2011 17:40:44 +0100
Subject: [PATCH 12/30] ARM: mach-shmobile: fix SDHI0 hotplug sense

In most cases it suffices to only trigger SD-card interrupts on one edge
due to GPIO level bouncing, but sometimes it does indeed happen, that only
one interrupt is produced on a card insertion or removal, which is then
missed, if the wrong trigger sense is configured. To avoid this configure
the GPIO to produce interrupts on both edges.

Signed-off-by: Guennadi Liakhovetski <g.liakhovetski@gmx.de>
---
 arch/arm/mach-shmobile/board-mackerel.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/arch/arm/mach-shmobile/board-mackerel.c b/arch/arm/mach-shmobile/board-mackerel.c
index bdf4783..8b52168 100644
--- a/arch/arm/mach-shmobile/board-mackerel.c
+++ b/arch/arm/mach-shmobile/board-mackerel.c
@@ -1023,7 +1023,7 @@ static struct sh_mobile_sdhi_info sdhi0_info = {
 	.tmio_caps	= MMC_CAP_SD_HIGHSPEED | MMC_CAP_SDIO_IRQ,
 	.cd_gpio	= GPIO_PORT172,
 	.cd_irq		= evt2irq(0x3340),
-	.cd_flags	= IRQF_TRIGGER_FALLING,
+	.cd_flags	= IRQF_TRIGGER_FALLING | IRQF_TRIGGER_RISING,
 };
 
 static struct resource sdhi0_resources[] = {
-- 
1.7.2.5

